@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix sosa: <http://www.w3.org/ns/sosa/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:6ca8e0e5-b418-4776-9934-15c449c009fc
    a sh:NodeShape ;
    dcterms:subject dfgfo:41 ;
    dcterms:title "Pressure sensor"@en ;
    dcterms:title "Drucksensor"@de ;
    dcterms:description "A sensor measuring a the ambient air pressure."@en ;
    dcterms:description "Ein Sensor zur Messunge des Luftdrucks."@de ;
    dcterms:creator <https://orcid.org/0000-0002-9413-1874> ;
    dcterms:license <https://spdx.org/licenses/CC0-1.0.html> ;
    dcterms:created "2023-04-19"^^xsd:date ;
    sh:node aps:dfc0e990-fd89-49a8-8f33-35f54d01b90f ; # Sensor
    owl:imports aps:dfc0e990-fd89-49a8-8f33-35f54d01b90f ; # Sensor
    owl:imports aps:ed4057b8-f654-4c61-8c2c-00765cbe4d49 ; # Humidity
    sh:property [
        sh:path sosa:observes ;
        sh:name "pressure"@en ;
        sh:description "Most recently measured pressure."@en ;
		sh:qualifiedValueShape aps:ed4057b8-f654-4c61-8c2c-00765cbe4d49 ; # Humidity
		sh:qualifiedValueShapesDisjoint true ;
		sh:qualifiedMinCount 1 ;
		sh:qualifiedMaxCount 1 ;
    ] ;
.